# Tests by default. No tests: rpmbuild -ba --define 'dotests 0' *.spec
%{!?dotests: %define dotests 1}

Summary:           A full-featured TLS VPN solution
Name:              openvpn
Version:           2.6.10
Release:           1
URL:               https://community.openvpn.net/
Source0:           https://build.openvpn.net/downloads/releases/%{name}-%{version}.tar.gz
Source1:           roadwarrior-server.conf
Source2:           roadwarrior-client.conf
License:           GPLv2
Prefix:            %{_prefix}

BuildRequires:     gnupg2
BuildRequires:     gcc
BuildRequires:     automake
BuildRequires:     autoconf
BuildRequires:     make
BuildRequires:     python3-docutils
BuildRequires:     lzo-devel >= 2.10
BuildRequires:     lz4-devel >= 1.9.3
BuildRequires:     libcmocka-devel >= 1.1.7

Requires:       gettext >= 0.21
Requires:       lzo >= 2.10
Requires:       lz4 >= 1.9.3

%description
OpenVPN is a robust and highly flexible tunneling application that uses all
of the encryption, authentication, and certification features of the
OpenSSL library to securely tunnel IP networks over a single UDP or TCP
port.  It can use the Marcus Franz Xaver Johannes Oberhumers LZO library
for compression.

%package devel
Summary:           Development headers and examples for OpenVPN plug-ins

%description devel
OpenVPN can be extended through the --plugin option, which provides
possibilities to add specialized authentication, user accounting,
packet filtering and related features.  These plug-ins need to be
written in C and provides a more low-level and information rich access
to similar features as the various script-hooks.

%prep
%setup -q 

cp %{SOURCE1} .
cp %{SOURCE2} .

%build
export CC="%{__cc__} -O2 -maix64"
export OBJECT_MODE=64
export LDFLAGS="-s -L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib"
./configure --disable-plugin-down-root --prefix=%{_prefix}
gmake

if [ "%{dotests}" == 1 ]
then
    cd tests/unit_tests
    (gmake -k check || true)
    cd ../../
fi

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
export OBJECT_MODE=64
gmake install  DESTDIR=${RPM_BUILD_ROOT} PREFIX=%{prefix}
cp %{SOURCE1} %{SOURCE2} sample/sample-config-files/

find . -name "*.py" -exec sed -i "s|/usr/bin/.*|/opt/freeware/bin/python3|"  '{}' \;

# Remove some file which does not really belong here
rm -f  ${RPM_BUILD_DIR}/%{name}-%{version}/contrib/multilevel-init.patch

%files
%doc AUTHORS ChangeLog COPYING COPYRIGHT.GPL README  
%doc contrib src/plugins/*/README.* distro/systemd/README.*
%doc sample/sample-config-files sample/sample-scripts
%doc %{_prefix}/share/man/man8/%{name}.8*
%doc %{_prefix}/share/man/man5/%{name}-*.5*
%{_sbindir}/%{name}

%files devel
%doc sample/sample-plugins
%{_includedir}/openvpn-plugin.h
%{_includedir}/openvpn-msg.h

%changelog
* Tue Apr 23 2024 Parth Patel <parth.patel7@ibm.com> - 2.6.10-1
- Update to 2.6.10 (#Port to AIX)
